#include <bits/stdc++.h>

using namespace std;

char broj[10000];

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);

    cin >> broj;
    int cnt = 0,res = 1;
    while(broj[cnt] != '\0')
    {
        //cout << broj[cnt];
        cnt++;
    }

    unordered_set<char> u;
    u.insert(broj[0]);
    bool flag = false;
    for(int i = 1;i<cnt;i++)
    {
        auto f = u.find(broj[i]);
        if(broj[i] != broj[i-1] && f == u.end())
        {
            u.insert(broj[i]);
        }
        else if(broj[i] != broj[i-1] && f != u.end())
        {
            flag = true;
            break;
        }
    }

    cout << flag;

    return 0;
}